Bug 892215 - Update to ez-ipupdate systemd unit file to use multiple instances
Summary: Update to ez-ipupdate systemd unit file to use multiple instances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ez-ipupdate
Version: 19
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alexander Boström
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-05 22:20 UTC by Anthony
Modified: 2013-12-25 02:38 UTC (History)
2 users (show)

Fixed In Version: ez-ipupdate-3.0.11-0.29.b8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-25 02:38:51 UTC


Attachments (Terms of Use)
Proposed unit file for systemd using instances (710 bytes, application/octet-stream)
2013-01-05 22:20 UTC, Anthony
no flags Details

Description Anthony 2013-01-05 22:20:55 UTC
Created attachment 673132 [details]
Proposed unit file for systemd using instances

Description of problem:

Systemd file should use instances to properly allow for multiple instances of the application without having to change the systemd unit file.

Additional info:

I have attached a proposed minor modification to the systemd file that allows for multiple instances by creating symlinks (much like getty instances).  Feedback is welcome, as I am no expert in writing systemd unit files.  I read Lennart's posts on 0pointer.de, but that really was the only valuable documentation on the topic I could find.

This file should probably (?) be placed in /lib/systemd/system/.  The administrator would then create soft links in order to run multiple instances.

For example, to run instances of ez-ipupdate for two separate domains, such as example.com and demonstration.ca, the following should work:

ln -sf /lib/systemd/system/ez-ipupdate@.service /etc/systemd/system/multi-user.target.wants/example.com.service
ln -sf /lib/systemd/system/ez-ipupdate@.service /etc/systemd/system/multi-user.target.wants/demonstration.ca.service

systemctl daemon-reload

systemctl enable example.com.service
systemctl enable demonstration.ca.service

systemctl start example.com.service
systemctl start demonstration.ca.service

Comment 1 Anthony 2013-01-05 22:24:34 UTC
I thought I was adding a reference to bug #767801, but it didn't seem to work as far as I can tell.  This is a modification to that (now closed) bug.

Comment 2 Fedora End Of Life 2013-04-03 15:04:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora Update System 2013-12-14 20:13:46 UTC
ez-ipupdate-3.0.11-0.29.b8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc20

Comment 4 Fedora Update System 2013-12-14 20:15:14 UTC
ez-ipupdate-3.0.11-0.29.b8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc19

Comment 5 Fedora Update System 2013-12-14 20:16:33 UTC
ez-ipupdate-3.0.11-0.29.b8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc18

Comment 6 Alexander Boström 2013-12-14 20:26:34 UTC
With the updates package, I believe it should be enough to just type:

 systemctl enable ez-ipupdate@xxx.service

 systemctl start ez-ipupdate@xxx.service

This update would break installations which uses default.conf, since now they'd have to enable and start ez-ipupdate@default.service, except that they were already broken to begin with due to bug #833595.

Comment 7 Fedora Update System 2013-12-16 22:59:15 UTC
Package ez-ipupdate-3.0.11-0.29.b8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ez-ipupdate-3.0.11-0.29.b8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23463/ez-ipupdate-3.0.11-0.29.b8.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-12-24 03:38:35 UTC
ez-ipupdate-3.0.11-0.29.b8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-25 02:33:43 UTC
ez-ipupdate-3.0.11-0.29.b8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-12-25 02:38:51 UTC
ez-ipupdate-3.0.11-0.29.b8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.